For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETSearch entities
      • POSTCreate entity
      • GETGet entity
      • POSTUpdate entity
      • DELDelete entity
      • POSTAccept Terms of Service
      • POSTInitiate KYB
      • POSTGenerate JWT Token
      • GETGenerate Onboarding Link
      • POSTSend Onboarding Email
      • GETEvents
        • GETGet
        • POSTUpdate
Logo
Sign inBook a demo
API ReferenceEntityCustomization

Get

GET
https://api.mercoa.com/entity/:entityId/customization
GET
/entity/:entityId/customization
$curl https://api.mercoa.com/entity/ent_a0f6ea94-0761-4a5e-a416-3c453cb7eced/customization \
> -H "Authorization: Bearer <token>"
1{
2 "metadata": [
3 {
4 "key": "my_custom_field",
5 "disabled": true
6 },
7 {
8 "key": "my_other_field",
9 "disabled": false
10 }
11 ],
12 "paymentSource": [
13 {
14 "type": "bankAccount",
15 "disabled": true,
16 "defaultDeliveryMethod": "ACH_SAME_DAY"
17 },
18 {
19 "type": "custom",
20 "disabled": true,
21 "schemaId": "cpms_7df2974a-4069-454c-912f-7e58ebe030fb"
22 }
23 ],
24 "backupDisbursement": [
25 {
26 "type": "check",
27 "disabled": true,
28 "defaultDeliveryMethod": "MAIL",
29 "printDescription": true
30 }
31 ],
32 "paymentDestination": [
33 {
34 "type": "bankAccount",
35 "disabled": true,
36 "defaultDeliveryMethod": "ACH_SAME_DAY"
37 },
38 {
39 "type": "check",
40 "disabled": true,
41 "defaultDeliveryMethod": "MAIL",
42 "printDescription": true
43 }
44 ],
45 "ocr": {
46 "lineItems": true,
47 "collapseLineItems": true,
48 "invoiceMetadata": true,
49 "lineItemMetadata": true,
50 "lineItemGlAccountId": true,
51 "predictMetadata": true,
52 "taxAndShippingAsLineItems": true,
53 "splitDocuments": true
54 },
55 "notifications": {
56 "assumeRole": "admin"
57 },
58 "workflow": {
59 "autoAdvanceInvoiceStatus": true
60 },
61 "invoice": {
62 "hideAddress": false,
63 "hideQrCode": false,
64 "hideBankDetails": false,
65 "hidePaymentLink": false
66 },
67 "fees": {
68 "payable": {
69 "source": {
70 "ACH_STANDARD": {
71 "type": "flat",
72 "amount": 2.5
73 },
74 "ACH_SAME_DAY": {
75 "type": "percentage",
76 "amount": 2.5
77 },
78 "CHECK_PRINT": {
79 "type": "flat",
80 "amount": 2.5
81 },
82 "CHECK_MAIL": {
83 "type": "flat",
84 "amount": 2.5
85 },
86 "CHECK_MAIL_PRIORITY": {
87 "type": "flat",
88 "amount": 2.5
89 },
90 "CHECK_MAIL_UPS_NEXT_DAY": {
91 "type": "flat",
92 "amount": 2.5
93 }
94 },
95 "destination": {
96 "ACH_STANDARD": {
97 "type": "flat",
98 "amount": 2.5
99 },
100 "ACH_SAME_DAY": {
101 "type": "percentage",
102 "amount": 2.5
103 },
104 "CHECK_PRINT": {
105 "type": "flat",
106 "amount": 2.5
107 },
108 "CHECK_MAIL": {
109 "type": "flat",
110 "amount": 2.5
111 },
112 "CHECK_MAIL_PRIORITY": {
113 "type": "flat",
114 "amount": 2.5
115 },
116 "CHECK_MAIL_UPS_NEXT_DAY": {
117 "type": "flat",
118 "amount": 2.5
119 }
120 }
121 },
122 "receivable": {
123 "source": {
124 "ACH_STANDARD": {
125 "type": "flat",
126 "amount": 2.5
127 },
128 "ACH_SAME_DAY": {
129 "type": "percentage",
130 "amount": 2.5
131 },
132 "CHECK_PRINT": {
133 "type": "flat",
134 "amount": 2.5
135 },
136 "CHECK_MAIL": {
137 "type": "flat",
138 "amount": 2.5
139 },
140 "CHECK_MAIL_PRIORITY": {
141 "type": "flat",
142 "amount": 2.5
143 },
144 "CHECK_MAIL_UPS_NEXT_DAY": {
145 "type": "flat",
146 "amount": 2.5
147 }
148 },
149 "destination": {
150 "ACH_STANDARD": {
151 "type": "flat",
152 "amount": 2.5
153 },
154 "ACH_SAME_DAY": {
155 "type": "percentage",
156 "amount": 2.5
157 },
158 "CHECK_PRINT": {
159 "type": "flat",
160 "amount": 2.5
161 },
162 "CHECK_MAIL": {
163 "type": "flat",
164 "amount": 2.5
165 },
166 "CHECK_MAIL_PRIORITY": {
167 "type": "flat",
168 "amount": 2.5
169 },
170 "CHECK_MAIL_UPS_NEXT_DAY": {
171 "type": "flat",
172 "amount": 2.5
173 }
174 }
175 }
176 },
177 "rolePermissions": {
178 "admin": [
179 "invoice.all",
180 "paymentMethod.all"
181 ]
182 }
183}
Get entity customization.
Was this page helpful?
Previous

Update

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entityIdstringRequired
Entity ID or Entity ForeignID

Response

This endpoint returns an object.
metadatalist of objects
paymentSourcelist of objects
backupDisbursementlist of objects
paymentDestinationlist of objects
ocrobject
notificationsobject
workflowobject
invoiceobject
feesobject
rolePermissionsmap from strings to lists of enums

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented